For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
            • GETList Email Templates
            • GETGet Email Template
            • PUTUpdate Template
            • DELDelete Email Template Override
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentEmail Templates

Get Email Template

GET
https://api.bigcommerce.com/stores/:store_hash/v3/marketing/email-templates/:template-name
GET
/stores/:store_hash/v3/marketing/email-templates/:template-name
$curl https://api.bigcommerce.com/stores/store_hash/v3/marketing/email-templates/template-name \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Example
1{
2 "data": {
3 "type_id": "account_reset_password_email",
4 "body": "<!DOCTYPE html> <html lang=\"en\"> <head> <meta charset=\"UTF-8\"> <title>Title</title> </head> <body> <p> {{lang \"reset_password\" name=store.name}} </p> <br/> <br/> <a href=\"{{account.reset_password_link}}\"> {{account.reset_password_link}} </a> </body> </html>",
5 "translations": [
6 {
7 "locale": "en",
8 "keys": {
9 "reset_password": "To change your customer account password at {{name}} please click this link or copy and paste it into your browser:"
10 }
11 }
12 ],
13 "subject": "Reset your password at {{store.name}}"
14 },
15 "meta": {}
16}

Get a single global email template or a channel-specific email template override.

Was this page helpful?
Previous

List Email Templates

Next

Update Template

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

template-namestringRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global setting only.

Response

OK
dataobject
Data for a particular email template
metaobject
Response metadata.